Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Class Statement

    java.lang.Object
      java.beans.Statement

Direct Known Subclasses:
  Expression

    public class Statement

extends Object

A `Statement` object represents a primitive statement in which a single method is applied to a target and a set of arguments - as in `"a.setFoo(b)"`. Note that where this example uses names to denote the target and its argument, a statement object does not require a name space and is constructed with the values themselves. The statement object associates the named method with its environment as a simple set of values: the target and an array of argument values.

Since:
  1.4

Constructor Summary
`Statement(Object target, String methodName, Object[] arguments)` Creates a new `Statement` object with a `target`, `methodName` and `arguments` as per the parameters.

Method Summary
`void` | `execute()` The execute method finds a method whose name is the same as the methodName property, and invokes the method on the target.
`Object[]` | `getArguments()` Returns the arguments of this statement.
`String` | `getMethodName()` Returns the name of the method.
`Object` | `getTarget()` Returns the target of this statement.
`String` | `toString()` Prints the value of this statement using a Java-style syntax.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Statement

    public Statement(Object target,
                     String methodName,
                     Object[] arguments)

  Creates a new `Statement` object with a `target`, `methodName` and `arguments` as per the parameters.

  Parameters:
    `target` - The target of this statement.
    `methodName` - The methodName of this statement.
    `arguments` - The arguments of this statement. If `null` then an empty array will be used.

Method Detail

### getTarget

    public Object getTarget()

  Returns the target of this statement.

  Returns:
    The target of this statement.

### getMethodName

    public String getMethodName()

  Returns the name of the method.

  Returns:
    The name of the method.

### getArguments

    public Object[] getArguments()

  Returns the arguments of this statement.

  Returns:
    the arguments of this statement.

### execute

    public void execute()
                 throws Exception

  The execute method finds a method whose name is the same as the methodName property, and invokes the method on the target. When the target's class defines many methods with the given name the implementation should choose the most specific method using the algorithm specified in the Java Language Specification (15.11). The dynamic class of the target and arguments are used in place of the compile-time type information and, like the `java.lang.reflect.Method` class itself, conversion between primitive values and their associated wrapper classes is handled internally.

  The following method types are handled as special cases:

  - Static methods may be called by using a class object as the target.
  - The reserved method name "new" may be used to call a class's constructor as if all classes defined static "new" methods. Constructor invocations are typically considered `Expression`s rather than `Statement`s as they return a value.
  - The method names "get" and "set" defined in the `java.util.List` interface may also be applied to array instances, mapping to the static methods of the same name in the `Array` class.

  Throws:
    `Exception`

### toString

    public String toString()

  Prints the value of this statement using a Java-style syntax.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.